<?php
/*
Plugin Name: Meta Robots
Plugin URI: https://www.kaper.com/other/wordpress-plugin-meta-robots/
Description: Copies value of custom field "meta-robots" (in post or page) as meta robots tag in your post's head section. Example value "noindex" to prevent google indexing.
Version: 1.0
Author: Thijs Kaper
Author URI: https://www.kaper.com/thijs
*/

function meta_robots_header() {
  global $post;
  $robotValue = get_post_meta($post->ID, "meta-robots", true); 
  if ($robotValue) {
    echo "<meta name=\"robots\" content=\"".$robotValue."\">\n";
  }
}

add_action('wp_head', 'meta_robots_header');
?>
